/* SctServer_API - Copyright (c) 2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api.collect;

import java.net.URL;


/**
 *
 * @author Vincent Calame
 */
public interface ScrutariSourceDef {

    public final static short INFO_TYPE = 1;
    public final static short SCRUTARIDATA_TYPE = 2;

    public String getName();

    public short getUrlType();

    public URL getUrl();

    public int getFrequency();

}
