/* UtilLib - Copyright (c) 2006 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text.terme;

import net.mapeadores.util.text.DefaultLibelleHolder;


/**
 *
 * @author Vincent Calame
 */
public abstract class AbstractTerme extends DefaultLibelleHolder {

    private final int code;

    public AbstractTerme(int code) {
        super();
        this.code = code;
    }

    public int getCode() {
        return code;
    }

    public abstract TermeDomain getTermeDomain();

}
