/* OdLib_Io - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.opendocument.io.odtable;


/**
 *
 * @author Vincent Calame
 */
public interface CellStyleProvider {

    /**
     * Retourne un nom de style de cellule correspondant aux arguments. Peut
     * retourner null, notamment si le style de la cellule correspond au style
     * par défaut de la colonne (indiquée par columnNumber)
     *
     */
    public String getCellStyleName(int columnNumber, short styleFamily, String parentStyleName);

    public String getCurrencyStyleName(int columnNumber, String parentStyleName, int currencyInteger);

}
