/* UtilLib - Copyright (c) 2008-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.localisation;


/**
 * « _ » placé au début d'une clé est ignoré. 
 * @author Vincent Calame
 */
public interface MessageLocalisation {

    /**
     * Retourne null si absent
     */
    public String toString(Message message);

    /**
     * Retourne null si absent
     */
    public String toString(String messageKey, Object value);

    public boolean containsKey(String messageKey);

}
