/* UtilLib - Copyright (c) 2010-2015 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.table;

import net.mapeadores.util.primitives.Decimal;


/**
 *
 * @author Vincent Calame
 */
public interface TableWriter {

    public void startRow();

    public void addIntegerCell(Long lg);

    public void addDecimalCell(Decimal decimal);

    public void addStringCell(String s);

    public void addDateCell(Integer dateInteger);

    public void addMoneyCell(Long moneyLong, int currencyInteger);

    public void endRow();

}
