/* BdfServer - Copyright (c) 2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text;

import net.mapeadores.util.localisation.Lang;


/**
 *
 * @author Vincent Calame
 */
public class MutableLibelleHolder extends DefaultLibelleHolder {

    public MutableLibelleHolder() {
    }

    public void initLibelles(LibelleHolder libelleHolder) {
        clear();
        int libelleCount = libelleHolder.getLibelleCount();
        for (int i = 0; i < libelleCount; i++) {
            putLibelle(libelleHolder.getLibelleByIndex(i));
        }
    }

    public boolean putLibelle(Libelle libelle) {
        return innerPutLibelle(libelle);
    }

    public boolean removeLibelle(Lang lang) {
        return innerRemoveLibelle(lang);
    }

}
